POST /auth/login

Authenticate user with username and password

Authenticate user with username and password
KeyTypeExampleDescription
entityoptionalstring
1
Entity identifier (optional)
passwordrequiredstring
"••••••••"
request_refresh_tokenoptionalboolean
'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWlkIj...'
usernamerequiredstring
"joe"
{
  "2fa": [
    "totp"
  ],
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWlkIjoiYjllZTZhNjMxYjI0In0",
  "default_2fa": "totp",
  "device": {
    "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/140.0 Safari/537.36"
  },
  "expiry": 3600,
  "expiry_renew": 604800,
  "ip": "192.168.1.100",
  "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJndWlkIjoiYjllZTZhNjMxYjI0In0",
  "refresh_token_expiry": 604800,
  "user": {
    "_meta": {
      "created": 1782080295,
      "entity": 1,
      "guid": "b9ee6a631b24e78d1aa48aef0dc067fff7bfbacd24a56ef4ed1f08e537d48b6b",
      "removed": 0,
      "updated": 1782166695
    },
    "email": "joe@example.com",
    "firstname": "Joe",
    "language": "en",
    "lastname": "Doe",
    "username": "joe"
  },
  "verified": true
}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
403INSUFFICIENT_PERMISSIONSInsufficient permissions for this operation
429TOO_MANY_LOGIN_ATTEMPTSToo many requests - rate limit exceeded
PermissionDescription
*publicNo authentication required, public endpoint

Back to Authentication Return to the Authentication category to view other endpoints All API Categories Browse all available API categories